stages:
  - 🧪 test
  - 📦 build
  - 🐋 deploy

java:
  stage: 🧪 test
  image: maven:slim
  script:
    - cd server && mvn test

nodejs:
  stage: 🧪 test
  image: node:buster
  script:
    - cd client && npm install && npm test

typescript:
  stage: 🧪 test
  image: node:buster
  script:
    - cd client && npm install && npm run type-check

build:
  stage: 📦 build
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build -t $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME .
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME

deploy:
  stage: 🐋 deploy
  script:
    - curl -X POST -data=""  https://deliverous.com/api/v1/trigger/$DELIVEROUS_TRIGGER
  only:

